Subject: bug#63731: [PATCH] Support Emoji Variation Sequence 16 (FE0F) where appropriate

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 May 2023 20:27:26 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 26 May 2023 18:24:02 +0200
> 
> >>>>> On Fri, 26 May 2023 18:52:22 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> Anyway, I think you should install the patch on emacs-29, and we
>     Eli> should then try to fix the text-representation bug with VS-15 on
>     Eli> master.  (I guess it requires a change to font.c or something?)
> 
> It requires something that answers the question "what font would we
> use for this codepoint if it was not an emoji?". Maybe we can have a
> separate fontset that pretends that the emoji script is equivalent to
> symbol? Or invent some kind of 'text-presentation-font' property to
> put somewhere?

I'm not sure I understand why we don't select the right font by
default.  Selecting a non-Emoji font for a non-Emoji codepoints should
not need any special tricks.

>     >> Yes. Iʼve also got a change that makes Emoji_Keycap_Sequence work, but
>     >> I think we can leave that for master.
> 
>     Eli> Depends on the solution, I guess.  Isn't it just a change to the
>     Eli> VS-16's entry in composition-function-table?  Or maybe a change in the
>     Eli> #x20e3's entry?  (Did we discus the Emoji_Keycap_Sequence case before?)
> 
> Itʼs a change to the VS-16 entry. We did discuss it before, and
> decided to put it aside because the solutions all involved adding
> composition-function-table entries for 0-9 or similar. I donʼt
> remember why we didnʼt consider adding to VS-16ʼs entry.
> 
> Iʼll do some more testing, and post a final version hopefully this
> weekend sometime.

OK, thanks.